import { MouseButton } from './types';
export default class Mouse {
    Button: MouseButton;
    private canvasElement;
    private posLocalY;
    private posLocalX;
    private posGlobalX;
    private posGlobalY;
    private buttonStates;
    private events;
    private mouseMoveListener;
    private mouseDownListener;
    private mouseUpListener;
    constructor(canvas: HTMLCanvasElement);
    getMousePos(event: any): {
        x: number;
        y: number;
    };
    getPosGlobalX(): number;
    getPosGlobalY(): number;
    getPosLocalX(): number;
    getPosLocalY(): number;
    getPosX(): number;
    getPosY(): number;
    clear(): void;
    reset(_canvas?: HTMLCanvasElement): void;
    update(): void;
    isButtonDown(...args: Array<any>): boolean;
    isButtonUp(...args: Array<any>): boolean;
    isButtonPressed(...args: Array<any>): boolean;
    isButtonReleased(...args: Array<any>): boolean;
    prevent(): void;
}
